# User Object

<table><thead><tr><th width="142.33333333333331">Field</th><th width="143">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>string</td><td>Name of the user </td></tr><tr><td>subtitle</td><td>string</td><td>Subtitle to be shown for the user</td></tr><tr><td>location</td><td>string</td><td>Location of the user</td></tr><tr><td>imageUrl</td><td>string</td><td>User's profile image</td></tr><tr><td>bannerUrl</td><td>string</td><td>User's banner image</td></tr><tr><td>goals</td><td>array</td><td>Array of strings to store user's goals</td></tr><tr><td>expertise</td><td>array</td><td>Array of strings to store user expertise</td></tr><tr><td>interests</td><td>array</td><td>Array of strings to store user's interests</td></tr><tr><td>about</td><td>string</td><td>User bio / more details about the user</td></tr><tr><td>twitter</td><td>string</td><td>User's twitter username</td></tr><tr><td>discordId</td><td>string</td><td>User's discord id</td></tr><tr><td>email</td><td>string</td><td>User's email</td></tr></tbody></table>

\*\* There are many more fields and more user level fields can be added easily. If your use case involves adding more information for the user, please feel free to connect with Quest Admins.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.questera.ai/questera-ai-sdks/rest-apis/user-module/user-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
